API referenceEnvironments

Update Mount

PATCH/api/v1/threads/{thread_id}/environments/{name}

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

thread_id*Thread Id
name*Name

Header Parameters

If-Match?|

The resource's ETag: "{id}:{version}" of its current view, "{key}:{version}" for a model

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/threads/string/environments/string" \  -H "Content-Type: application/json" \  -d '{    "permission_ceiling": {}  }'
{  "environment_id": "string",  "name": "string",  "permission_ceiling": {    "operations": [      "environment.file.copy_destination",      "environment.file.copy_source",      "environment.file.list",      "environment.file.mkdir",      "environment.file.move",      "environment.file.patch_text",      "environment.file.query",      "environment.file.read_bytes",      "environment.file.read_text",      "environment.file.remove",      "environment.file.search_text",      "environment.file.stat",      "environment.file.write_bytes",      "environment.file.write_text",      "environment.output.read",      "environment.output.release",      "environment.port.inspect",      "environment.port.wait",      "environment.process.close_stdin",      "environment.process.inspect",      "environment.process.kill",      "environment.process.list",      "environment.process.read_output",      "environment.process.release",      "environment.process.signal",      "environment.process.start",      "environment.process.wait",      "environment.process.write_stdin",      "environment.shell.exec",      "environment.state.export",      "environment.state.restore"    ]  },  "working_directory": "string"}